org.apache.groovy.json.internal

## Class FastStringUtils

- java.lang.Object
- - org.apache.groovy.json.internal.FastStringUtils

-     public class FastStringUtils
      extends java.lang.Object

  Internal class for fast processing of Strings during JSON parsing

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastStringUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `noCopyStringFromChars(char[] chars)`
    `static char[]` | `toCharArray(java.lang.CharSequence charSequence)`
    `static char[]` | `toCharArray(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastStringUtils

          public FastStringUtils()

  - ### Method Detail

    - #### toCharArray

          public static char[] toCharArray(java.lang.String string)

      Parameters:
        `string` - string to grab array from.
      Returns:
        char array from string

    - #### toCharArray

          public static char[] toCharArray(java.lang.CharSequence charSequence)

      Parameters:
        `charSequence` - to grab array from.
      Returns:
        char array from char sequence

    - #### noCopyStringFromChars

          public static java.lang.String noCopyStringFromChars(char[] chars)

      Parameters:
        `chars` - to shove array into.
      Returns:
        new string with chars copied into it